Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoInitFixedLength< EOT > Class Template Reference

Initializer for fixed length representations with a single type. More...

`#include <eoInit.h>`

Inheritance diagram for eoInitFixedLength< EOT >:

List of all members.

## Public Types
typedef EOT::AtomType | AtomType
## Public Member Functions
| eoInitFixedLength (unsigned _combien, eoRndGenerator< AtomType > &_generator)
virtual void | operator() (EOT &chrom)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
unsigned | combien
eoSTLF< AtomType > | generator
| generic wrapper for eoFunctor (s), to make them have the function-pointer style copy semantics

## Detailed Description

### template<class EOT>
class eoInitFixedLength< EOT >

Initializer for fixed length representations with a single type.

Definition at line 81 of file eoInit.h.

The documentation for this class was generated from the following file:

- eoInit.h